about summary refs log tree commit diff
path: root/tests/substitutes2.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2005-01-25T13·00+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2005-01-25T13·00+0000
commitc6290e42bc8890e2036013773a98e3551352c91a (patch)
tree898c4017359d92cd942be6890d298e0574dee1c1 /tests/substitutes2.sh
parent581fc477838e9cf9e5d9657920ef63ea836050ee (diff)
* Fix the `--fallback' switch.
* Fix the substitutes tests.

Diffstat (limited to 'tests/substitutes2.sh')
-rw-r--r--tests/substitutes2.sh31
1 files changed, 6 insertions, 25 deletions
diff --git a/tests/substitutes2.sh b/tests/substitutes2.sh
index b38f4c43fd..56f2bab374 100644
--- a/tests/substitutes2.sh
+++ b/tests/substitutes2.sh
@@ -6,37 +6,18 @@ echo "store expr is $storeExpr"
 outPath=$($TOP/src/nix-store/nix-store -qvvvvv "$storeExpr")
 echo "output path is $outPath"
 
-# Build the substitute program.
-subProgram=$($TOP/src/nix-store/nix-store -qnf \
-    $($TOP/src/nix-instantiate/nix-instantiate substituter.nix))/substituter
-echo "substitute program is $subProgram"
-
-# Build the failing substitute program.
-subProgram2=$($TOP/src/nix-store/nix-store -qnf \
-    $($TOP/src/nix-instantiate/nix-instantiate substituter2.nix))/substituter
-echo "failing substitute program is $subProgram2"
-
 regSub() {
     (echo $1 && echo $2 && echo 3 && echo $outPath && echo Hallo && echo Wereld) | $TOP/src/nix-store/nix-store --substitute
 }
 
-# Register a fake successor, and a substitute for it.
-suc=$NIX_STORE_DIR/aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaab-s.store
-regSub $suc $subProgram
-$TOP/src/nix-store/nix-store --successor $storeExpr $suc
-
-# Register a failing substitute for it (it takes precedence).
-regSub $suc $subProgram2
-
 # Register a substitute for the output path.
-regSub $outPath $subProgram
-
-# Register another substitute for the output path.  This one will
-# produce other output. 
-regSub $outPath $subProgram2
+regSub $outPath $(pwd)/substituter.sh
 
+# Register another substitute for the output path.  This one takes
+# precedence over the previous one.  It will fail.
+regSub $outPath $(pwd)/substituter2.sh
 
-$TOP/src/nix-store/nix-store -rvvvvv "$storeExpr"
+$TOP/src/nix-store/nix-store -rvv "$storeExpr"
 
 text=$(cat "$outPath"/hello)
-if test "$text" != "Foo Hallo Wereld"; then exit 1; fi
+if test "$text" != "Hallo Wereld"; then exit 1; fi